QFileIconProvider(3qt)

NAME
QFileIconProvider - Icons for QFileDialog to use

SYNOPSIS

#include <qfiledialog.h>

Inherits QObject.

  Public Members
QFileIconProvider ( QObject * parent = 0, const char * name = 0 )
virtual const QPixmap* pixmap ( const QFileInfo & )

DESCRIPTION
The QFileIconProvider class provides icons for QFileDialog to use.

By default, QFileIconProvider is not used, but any application or library can subclass it, reimplement pixmap() to return a suitable icon, and make all QFileDialog objects use it by calling the static function QFileDialog::setIconProvider().

It's advisable to make all the icons QFileIconProvider returns be of the same size, or at least the same width. This makes the list view look much better.

See also: QFileDialog.

MEMBER FUNCTION DOCUMENTATION

QFileIconProvider::QFileIconProvider ( QObject * parent = 0, const char * name = 0 )
Constructs an empty file icon provider.

const QPixmap * QFileIconProvider::pixmap ( const QFileInfo & ) [virtual]
Returns a pointer to a pixmap suitable for display when the file dialog next to the name of file.

If pixmap() returns 0, QFileDialog draws nothing.

The default implementation returns 0 in Qt 1.40. In future versions of Qt it may be extended.

SEE ALSO
http://www.troll.no/qt/qfileiconprovider.html

COPYRIGHT
Copyright 1992-1997 Troll Tech AS. See the LICENSE file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.